Bug 90145 - ntlm auth sheme is missing
ntlm auth sheme is missing
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: squid (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-03 09:10 EDT by Grégory BENOIST
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-01 08:42:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Grégory BENOIST 2003-05-03 09:10:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
When trying to use NTLM authentication sheme, squid reports:
 Parsing Config File: Unknown authentication scheme 'ntlm'.


Version-Release number of selected component (if applicable):
squid-2.5.STABLE1-2

How reproducible:
Always

Steps to Reproduce:
1.enable auth_param ntlm with program /usr/lib/ntlm_auth
2.restart squid
3.observe the output
    

Actual Results:   Parsing Config File: Unknown authentication scheme 'ntlm'.

Expected Results:  work like a charm :)

Additional info:

added a "--enable-auth \" line in the squid.specs file and recompiled the RPM 
worked for me.
Comment 1 Economou, Matthew 2003-05-15 05:09:04 EDT
What's really strange is that the NTLM authentication helper modules were built 
for Squid, so one is lead to believe that NTLM authentication will work.  This 
is not the case.  Squid must be built with the '--enable-auth="basic,ntlm"' 
argument to configure in addition to the helper module flags in order for NTLM 
support to be activated.

To fix this problem, the Red Hat release engineer need only add the above 
configure flag and rebuild the package.
Comment 2 Reuben Farrelly 2004-01-29 06:34:55 EST
This feature was added in the latest squid RPM in Rawhide, in June 
2003.  I think this bug should be closed as 'resolved' now.. 

Note You need to log in before you can comment on or make changes to this bug.